Get an instance
Returns one instance by run id or name, with its workspace, team, error and the sub-runs it started.
From the CLI: cliq instance info <run>.
No credential is needed from this machine. From another host, send Authorization: Bearer with a dispatch token CliqHub signed for this daemon or a cliq_tok_… personal token of a user in the daemon’s realm; this only works once the daemon is connected to CliqHub. See Authentication.
POST
/
v1
/
instances
/
get_by_id
Get an instance
curl --request POST \
--url http://127.0.0.1:4900/v1/instances/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "fix-login-timeout"
}
'import requests
url = "http://127.0.0.1:4900/v1/instances/get_by_id"
payload = { "instance_id": "fix-login-timeout" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instance_id: 'fix-login-timeout'})
};
fetch('http://127.0.0.1:4900/v1/instances/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/instances/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instance_id' => 'fix-login-timeout'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/instances/get_by_id"
payload := strings.NewReader("{\n \"instance_id\": \"fix-login-timeout\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/instances/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instance_id\": \"fix-login-timeout\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/instances/get_by_id")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instance_id\": \"fix-login-timeout\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"run_name": "fix-login-timeout",
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"workspace_dir": "/home/dev/acme-api",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"team_ref": "@acme/code-review",
"state": "running",
"execution": "local",
"container_id": null,
"started_at": 1759834200000,
"completed_at": null,
"error": null,
"parent_run_id": null,
"parent_phase": null,
"children": []
}
}
Authorizations
Not needed from the same machine. From another host: a dispatch JWT CliqHub signed for this daemon, or a cliq_tok_… personal token whose user is in the daemon's realm.
Body
application/json
Instance (run) id
Minimum string length:
1⌘I
Get an instance
curl --request POST \
--url http://127.0.0.1:4900/v1/instances/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "fix-login-timeout"
}
'import requests
url = "http://127.0.0.1:4900/v1/instances/get_by_id"
payload = { "instance_id": "fix-login-timeout" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instance_id: 'fix-login-timeout'})
};
fetch('http://127.0.0.1:4900/v1/instances/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/instances/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instance_id' => 'fix-login-timeout'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/instances/get_by_id"
payload := strings.NewReader("{\n \"instance_id\": \"fix-login-timeout\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/instances/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instance_id\": \"fix-login-timeout\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/instances/get_by_id")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instance_id\": \"fix-login-timeout\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"run_name": "fix-login-timeout",
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"workspace_dir": "/home/dev/acme-api",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"team_ref": "@acme/code-review",
"state": "running",
"execution": "local",
"container_id": null,
"started_at": 1759834200000,
"completed_at": null,
"error": null,
"parent_run_id": null,
"parent_phase": null,
"children": []
}
}